## libgzstream 1.5+dfsg

=== Makefile ===
# ============================================================================
# gzstream, C++ iostream classes wrapping the zlib compression library.
# Copyright (C) 2001  Deepak Bandyopadhyay, Lutz Kettner
# 
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
# 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# ============================================================================
# 
# File          : Makefile
# Revision      : $Revision: 1.3 $
# Revision_date : $Date: 2001/10/04 15:09:28 $
# Author(s)     : Deepak Bandyopadhyay, Lutz Kettner
# 
# ============================================================================

# ----------------------------------------------------------------------------
# adapt these settings to your need:
# add '-DGZSTREAM_NAMESPACE=name' to CPPFLAGS to place the classes
# in its own namespace. Note, this macro needs to be set while creating
# the library as well while compiling applications based on it.
# As an alternative, gzstream.C and gzstream.h can be edited.
# ----------------------------------------------------------------------------

# CXX      = CC -n32 -LANG:std   # for SGI Irix 6.5, MIPSpro CC version 7.30
CXX      = g++   # for Linux RedHat 6.1, g++ version 2.95.2

CPPFLAGS = -I. -O
LDFLAGS  = -L. -lgzstream -lz
AR       = ar cr

# ----------------------------------------------------------------------------
# plain simple rules to make and cleanup the library:
# make default;   compiles the library
# make test;      compiles and executes test. O.K. message marks success.
# make clean;     removes temporary files
# make cleanall;  removes temporary files, the library, and programs
# ----------------------------------------------------------------------------

default: libgzstream.a

test:    test_gzip test_gunzip
	./test_gzip COPYING.LIB gz.tmp.gz
	gunzip gz.tmp.gz
	diff COPYING.LIB gz.tmp
	gzip gz.tmp
	./test_gunzip gz.tmp.gz gz.tmp
	diff COPYING.LIB gz.tmp
	rm gz.tmp.gz gz.tmp
	# *** O.K. Test finished successfully. ***

gzstream.o : gzstream.C gzstream.h
	${CXX} ${CPPFLAGS} -c -o gzstream.o gzstream.C

test_gzip.o : test_gzip.C gzstream.h
	${CXX} ${CPPFLAGS} -c -o test_gzip.o test_gzip.C

test_gunzip.o : test_gunzip.C gzstream.h
	${CXX} ${CPPFLAGS} -c -o test_gunzip.o test_gunzip.C

libgzstream.a : gzstream.o
	${AR} libgzstream.a gzstream.o

test_gzip : test_gzip.o libgzstream.a
	${CXX} -o test_gzip test_gzip.o ${LDFLAGS}

test_gunzip : test_gunzip.o libgzstream.a
	${CXX} -o test_gunzip test_gunzip.o ${LDFLAGS}

clean :
	rm *.o

cleanall :
	rm *.o libgzstream.a test_gzip test_gunzip

# ============================================================================
# EOF

## libgzstream 1.5%2Bgit20171107.9a20658

=== debian/changelog ===
libgzstream (1.5+git20171107.9a20658-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.6.2 (routine-update)
  * d/rules: Copy gzstream.h back to original location (Closes: #1049635)
  * d/patches: Update hardening.patch to include missing CXXFLAGS for blhc

 -- Lance Lin <lq27267@gmail.com>  Wed, 21 Feb 2024 19:38:37 +0700

libgzstream (1.5+git20171107.9a20658-1) unstable; urgency=medium

  * Watchfile using mode=git
  * Standards-Version: 4.6.0 (routine-update)
  * Remove Section on libgzstream0 that duplicates source.
  * Apply multi-arch hints.
    + libgzstream-dev, libgzstream0: Add Multi-Arch: same.
  * Make sure clean target will not fail
  * Ignore upstream Makefile install since it does not respect $(PREFIX)

 -- Andreas Tille <tille@debian.org>  Fri, 10 Sep 2021 09:23:29 +0200

libgzstream (1.5+dfsg-5) unstable; urgency=medium

  [ Edward Betts ]
  * d/watch: fix incorrect github URL

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 13 Sep 2020 07:07:28 +0200

libgzstream (1.5+dfsg-4) unstable; urgency=medium

  * Adapt symbols file to 32 bit architectures
    Closes: #912286

 -- Andreas Tille <tille@debian.org>  Tue, 30 Oct 2018 07:43:22 +0100

libgzstream (1.5+dfsg-3) unstable; urgency=medium

  * d/watch: Hopefully upstream will set release tags.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Use --no-parallel
  * hardening=+all
  * Add symbols file

 -- Andreas Tille <tille@debian.org>  Sun, 28 Oct 2018 22:49:47 +0100

libgzstream (1.5+dfsg-2) unstable; urgency=medium

  * Breaks+Replaces: libxdmf-dev (<< 2.1.dfsg.1-14)
    Closes: #820024

 -- Andreas Tille <tille@debian.org>  Mon, 04 Apr 2016 22:57:00 +0200

libgzstream (1.5+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #819532)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Mar 2016 15:17:11 +0200

=== debian/control ===
Source: libgzstream
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               d-shlibs,
               zlib1g-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/libgzstream
Vcs-Git: https://salsa.debian.org/med-team/libgzstream.git
Homepage: https://www.cs.unc.edu/Research/compgeom/gzstream/
Rules-Requires-Root: no

Package: libgzstream0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: provide functionality of zlib C-library in a C++ iostream
 Gzstream is a small C++ library, basically just a wrapper, that provides
 the functionality of the zlib C-library in a C++ iostream.
 .
 This package contains the dynamic library.

Package: libgzstream-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgzstream0 (= ${binary:Version})
Breaks: libxdmf-dev (<< 2.1.dfsg.1-14)
Replaces: libxdmf-dev (<< 2.1.dfsg.1-14)
Multi-Arch: same
Description: provide functionality of zlib C-library in a C++ iostream (development)
 Gzstream is a small C++ library, basically just a wrapper, that provides
 the functionality of the zlib C-library in a C++ iostream.
 .
 This package contains the static library and header files.

## libgzstream 1.5+dfsg

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                d-shlibs,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/libgzstream
 Vcs-Git: https://salsa.debian.org/med-team/libgzstream.git
 Homepage: https://www.cs.unc.edu/Research/compgeom/gzstream/
@@ -17,7 +17,6 @@
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Multi-Arch: same
 Description: provide functionality of zlib C-library in a C++ iostream
  Gzstream is a small C++ library, basically just a wrapper, that provides
  the functionality of the zlib C-library in a C++ iostream.
@@ -32,7 +31,6 @@
          libgzstream0 (= ${binary:Version})
 Breaks: libxdmf-dev (<< 2.1.dfsg.1-14)
 Replaces: libxdmf-dev (<< 2.1.dfsg.1-14)
-Multi-Arch: same
 Description: provide functionality of zlib C-library in a C++ iostream (development)
  Gzstream is a small C++ library, basically just a wrapper, that provides
  the functionality of the zlib C-library in a C++ iostream.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# -->	g++    -o test_gzip test_gzip.o -fPIE -pie -Wl,-z,relro -Wl,-z,now -L. -lgzstream -lz
#	/usr/bin/ld: test_gzip.o: relocation R_X86_64_32 against `.rodata.str1.1' can not be used when making a shared object; recompile with -fPIC

TMPLIBS=debian/tmplibs

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --no-parallel

override_dh_clean:
	dh_clean
	rm -rf $(TMPLIBS)

override_dh_install:
	mkdir -p $(TMPLIBS)
	mv libgzstream.a   $(TMPLIBS)
	mv libgzstream.so* $(TMPLIBS)
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev *.h usr/include \
		    debian/tmplibs/*.so

get-orig-source:
	wget -O ../gzstream.tgz http://www.cs.unc.edu/Research/compgeom/gzstream/gzstream.tgz
	mk-origtargz --repack --compress xz gzstream.tgz

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/kanedo/gzstream/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

# Asked for release tags
# https://github.com/kanedo/gzstream/issues/2

## libgzstream 1.5+git20171107.9a20658

=== Makefile ===
--- 
+++ 
@@ -59,6 +59,12 @@
 	rm gz.tmp.gz gz.tmp
 	# *** O.K. Test finished successfully. ***
 
+install: libgzstream.a test
+	cp libgzstream.a /usr/lib
+	cp gzstream.h /usr/include
+	chmod o+r /usr/include/gzstream.h
+	# *** O.K. Installation finished successfully. ***
+
 gzstream.o : gzstream.C gzstream.h
 	${CXX} ${CPPFLAGS} -c -o gzstream.o gzstream.C
 
@@ -83,6 +89,9 @@
 cleanall :
 	rm *.o libgzstream.a test_gzip test_gunzip
 
+uninstall:
+	rm /usr/include/gzstream.h /usr/lib/libgzstream.a
+
 # ============================================================================
 # EOF

=== debian/changelog ===
libgzstream (1.5+git20171107.9a20658-3) unstable; urgency=medium

  * Remove symbols file
    Closes: #1092886
  * Standards-Version: 4.7.0 (routine-update)
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jan 2025 16:44:23 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                d-shlibs,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/libgzstream
 Vcs-Git: https://salsa.debian.org/med-team/libgzstream.git
 Homepage: https://www.cs.unc.edu/Research/compgeom/gzstream/
@@ -14,6 +14,7 @@
 
 Package: libgzstream0
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -25,12 +26,11 @@
 
 Package: libgzstream-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libgzstream0 (= ${binary:Version})
-Breaks: libxdmf-dev (<< 2.1.dfsg.1-14)
-Replaces: libxdmf-dev (<< 2.1.dfsg.1-14)
 Description: provide functionality of zlib C-library in a C++ iostream (development)
  Gzstream is a small C++ library, basically just a wrapper, that provides
  the functionality of the zlib C-library in a C++ iostream.

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,12 @@
 	dh_clean
 	rm -rf $(TMPLIBS)
 
+override_dh_auto_clean:
+	dh_auto_clean || true # In clean stage the Makefile is not patched yet and thus might stumble upon removal of not existing files
+
+override_dh_auto_install:
+	echo 'Ignore upstream Makefile install since it does not respect $$(PREFIX)'
+
 override_dh_install:
 	mkdir -p $(TMPLIBS)
 	mv libgzstream.a   $(TMPLIBS)
@@ -27,6 +33,7 @@
 		    --exclude-la \
 		    --movedev *.h usr/include \
 		    debian/tmplibs/*.so
+	cp debian/libgzstream-dev/usr/include/gzstream.h gzstream.h
 
 get-orig-source:
 	wget -O ../gzstream.tgz http://www.cs.unc.edu/Research/compgeom/gzstream/gzstream.tgz
